# Nodes overview — Material Maker documentation

# Nodes overview

Material Maker provides different node types to describe materials. Nodes may have parameters, inputs and outputs.

- Common properties of nodes
  - Outputs
  - Inputs
  - Parameters
  - Randomness
  - Modifying nodes
- Shader nodes
  - Defining a shader node interface
  - Adding the actual GLSL code
- Texture nodes
  - Image node
  - Buffer node
- Remote nodes
  - Creating a remote node
  - Configuring a remote node
- Subgraph nodes